---
import { ThemedImage } from "../index.js";

// All images
import ubportsLogoDarkImg from "../img/ubports-logo-dark.svg";
import ubportsLogoLightImg from "../img/ubports-logo.svg";
import yumiLogoImg from "../img/services/yumi.svg";
import soundcloudLogoImg from "../img/services/soundcloud.svg";
import mastodonLogoImg from "../img/services/mastodon.svg";
import pixelfedLogoImg from "../img/services/pixelfed.svg";
import linkedinLogoImg from "../img/services/linkedin.svg";
import facebookLogoImg from "../img/services/facebook.svg";
import twitterLogoImg from "../img/services/twitter.svg";
import instagramLogoImg from "../img/services/instagram.svg";
import youtubeLogoImg from "../img/services/youtube.svg";
import rssLogoImg from "../img/services/rss.svg";

const { links } = Astro.props;
---

<!-- Footer -->
<footer class="footer d-print-none">
  <div class="footer-upper">
    <div class="container">
      <div class="row">
        {
          links.map((footerGroup) => (
            <div class="col-sm-6 mt-3 col-md-2">
              <h4>{footerGroup.group}</h4>
              <ul>
                {footerGroup.links.map((l) => (
                  <li>
                    <a {...l.attrs}>{l.label}</a>
                  </li>
                ))}
              </ul>
            </div>
          ))
        }
        <div class="col-md-4 col-sm-12 mt-3">
          <h3 class="h4">
            We dare to dream about a future where users, developers and
            companies alike can define smartphones together.
          </h3>
          <p class="mt-3">
            Would you be so kind to help us keep our project alive? <br />
            <a
              class="link"
              href="https://docs.ubports.com/en/latest/contribute/index.html"
              target="_blank">Contributions</a
            >
            or <a class="link" href="https://ubports.com/donate" target="_blank"
              >donations</a
            >
            are both appreciated.
          </p>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer Top -->
  <div class="footer-top">
    <div class="container">
      <!-- Logo -->
      <div class="footer-logo">
        <a href="http://www.ubports.com/">
          <ThemedImage
            lightSrc={ubportsLogoLightImg.src}
            darkSrc={ubportsLogoDarkImg.src}
            alt="ubports-logo"
          />
        </a>
      </div>
      <!-- Text -->
      <p class="footer-text">
        UBports is a global non-profit dedicated to putting you in control of
        the future of the mobile for the public good.
      </p>
      <!-- Social -->
      <div class="footer-links">
        <ul>
          <!-- Icon -->

          <li>
            <a
              href="https://forums.ubports.com/"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={yumiLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>

          <li>
            <a
              href="https://soundcloud.com/ubports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={soundcloudLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://framapiaf.org/@ubports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={mastodonLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://pixelfed.social/ubports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={pixelfedLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://www.linkedin.com/company/ubports-com"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={linkedinLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a href="https://www.facebook.com/ubports/">
              <img
                src={facebookLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a href="https://twitter.com/ubports">
              <img
                src={twitterLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://www.instagram.com/ubports/"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={instagramLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://www.youtube.com/c/UBports"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={youtubeLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
          <!-- Icon -->
          <li>
            <a
              href="https://ubports.com/blog/ubports-blog-1/feed"
              target="_blank"
              rel="noreferrer noopener"
            >
              <img
                src={rssLogoImg.src}
                alt="ext-link-icon"
                class="dark-invert-40 ext-link-icon"
              />
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>

  <!-- Footer Bottom -->
  <div class="footer-bottom">
    <div class="container">
      <p>
        © Copyright {new Date().getFullYear()}{" "}
        <a href="https://ubports.com" target="_blank">UBports</a>
      </p>
      <span class="d-none d-xl-inline">•</span>
      <p>Made with love for open-source and freedom of choice</p>
      <span class="d-none d-xl-inline">•</span>
      <p class="d-none d-lg-flex">
        <a>License CC-BY-SA-4.0</a>
      </p>
      <span class="d-none d-xl-inline">•</span>
      <p class="d-none d-lg-flex">
        <a href="/sitemap-index.xml" target="_blank">Site Map</a>
      </p>
    </div>
  </div>
</footer>
